# Problems with SANE-0.69

David Rector (drector@biophysics.lanl.gov)
Wed, 28 Jan 1998 7:45:48 MST

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Milon Firikis: "AppleScanner(s) Support"
- Previous message: becka@rz.uni-duesseldorf.de: "Re: Input files and devices?"
- Next in thread: David Mosberger-Tang: "Re: Problems with SANE-0.69"
- Reply: David Mosberger-Tang: "Re: Problems with SANE-0.69"

Please help...

I have just downloaded sane-0.69 from the sunsite.unc.edu/Linux/Incoming

I unzipped it, then untarred it, then

I ran 'configure', then 'make' then 'make install'

I have Red-Hat version 4.2, standard installation on a P-Pro 200

I also have a Mustek 600ZS

find-scanner reports: "MII SC21 MSF300ZS SCANNER V4.2" at device /dev/sgc

Problems:

1) xscanner does not compile - returns:

gtkglue.c:696: warning: implicit declaration of function `gtk_gamma_curve_new'
gtkglue.c:696: warning: assignment makes pointer from integer without a cast
gtkglue.c:697: warning: implicit declaration of function `GTK_GAMMA_CURVE'
gtkglue.c:697: invalid type argument of `->'
gtkglue.c:691: warning: `curve' might be used uninitialized in this function
gtkglue.c: In function `panel_destroy':
gtkglue.c:808: warning: implicit declaration of function `gtk_tooltips_unref'
gtkglue.c: In function `gsg_sync':
gtkglue.c:1317: invalid type argument of `->'
gtkglue.c:1296: warning: `curve' might be used uninitialized in this function
make: *** [gtkglue.o] Error 1

2) scanimage seems to never want to work: returns:

scanimage -d mustek:/dev/sgc -h
Usage: scanimage [OPTION]...

Start image acquisition on a scanner device and write PNM image data to
standard output.

-d, --device-name=DEVICE use a given scanner device
-h, --help display this help message and exit
-L, --list-devices show available scanner devices
-v, --verbose give even more status messages
-V, --version print version information
scanimage: open of device mustek:/dev/sgc failed: Invalid argument
Type ``scanimage --help -d DEVICE'' to get list of all options for DEVICE.

List of available devices:
pnm:0 pnm:1

3) I have checked sane.d, all files are readable, and 'mustek' is listed
in the dll.conf

What next?

Thanks

Dave Rector

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Milon Firikis: "AppleScanner(s) Support"
- Previous message: becka@rz.uni-duesseldorf.de: "Re: Input files and devices?"
- Next in thread: David Mosberger-Tang: "Re: Problems with SANE-0.69"
- Reply: David Mosberger-Tang: "Re: Problems with SANE-0.69"